/***************************************************************************
****************************************************************************

This is a part of the xModule Source code.

Copyright (C) 2003-2004 The LS-Universe Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

****************************************************************************
****************************************************************************/

#if !defined(AFX_STDAFX_H__E5BA076A_0404_4F4A_9511_953E03449391__INCLUDED_)
#define AFX_STDAFX_H__E5BA076A_0404_4F4A_9511_953E03449391__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../lsapi/AggressiveOptimize.h"

#define WIN32_LEAN_AND_MEAN
#define VC_EXTRALEAN

#define NOCRYPT   // Exclude encryption stuff
#define NOSERVICE // Exclude service stuff
#define NOIME     // ...
#define NOMCX     //...

#include <afxwin.h>         // MFC core and standard components

#include <string>
#include <list>
#include <vector>

using namespace std;

class Label;

typedef list<string> StringList;
typedef list<string>::iterator StringListIterator;
typedef list<Label *> LabelList;
typedef list<Label *>::iterator LabelListIterator;

typedef unsigned __int64 largeInt;

#include "../lsapi/lsapi.h"

#include "Utility.h"
#include "strsafe.h"

#endif // !defined(AFX_STDAFX_H__E5BA076A_0404_4F4A_9511_953E03449391__INCLUDED_)
